Page MenuHomePhabricator

[compiler-rt][libunwind][runtimes] Recategorize `llvm_check_linker_flag` langs
ClosedPublic

Authored by Ericson2314 on Jan 20 2022, 1:26 PM.

Details

Reviewers
phosek
ldionne
Group Reviewers
Restricted Project
Restricted Project
Restricted Project
Commits
rGd784ecfea946: [compiler-rt][libunwind][runtimes] Recategorize `llvm_check_linker_flag` langs
Summary

Done according to @phosek's comments in D117537, but not done then to
separate pure refactor (that) from possible behavior change (this).

Wasn't working before, but I think that was due to an issue of mismatched variable names fixed in D110005.

Diff Detail

Event Timeline

Ericson2314 created this revision.Jan 20 2022, 1:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 20 2022, 1:26 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
Ericson2314 requested review of this revision.Jan 20 2022, 1:26 PM
Herald added projects: Restricted Project, Restricted Project, Restricted Project. · View Herald TranscriptJan 20 2022, 1:26 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a subscriber: Restricted Project. · View Herald Transcript

rebase on top of new version of D117537

  1. Updating D117833: [compiler-rt][libunwind][runtimes] Recategorize llvm_check_linker_flag langs #
  2. Enter a brief description of the changes included in this update.
  3. The first line is used as subject, next lines as comment. #
  4. If you intended to create a new revision, use:
  5. $ arc diff --create

rebase after last round changed

phosek accepted this revision.Jan 26 2022, 12:28 AM

LGTM

Rebase to retrigger CI now that parent landed

Hmm, might these errors be legitimate?

Rebase. I think this might work now that D110005 has landed.

Herald added a project: Restricted Project. · View Herald TranscriptJul 25 2022, 9:24 AM
Herald added a subscriber: Enna1. · View Herald Transcript
Ericson2314 edited the summary of this revision. (Show Details)Jul 25 2022, 7:58 PM
Ericson2314 added a comment.EditedAug 10 2022, 3:13 PM

@ldionne Since you reviewed D130586 which contains this, might you review this? Then I'll have a libc++ reviewer and can land it.

Ericson2314 added a subscriber: ldionne.
This revision was not accepted when it landed; it landed in state Needs Review.Aug 17 2022, 9:35 AM
This revision was automatically updated to reflect the committed changes.

The change outside compiler-rt was so trivial I decided to go chaotic good on this one.